Printago API
POST /v1/folders

Create a new folder

Requires any of: part.createsku.create

Request Body

Folder creation details

CreateFolderRequest
customMetadataoptional
Record<string, any>
namerequired
string
parentIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
typerequired
"part" | "sku" | "classwork"
partskuclasswork

Example Request

application/json
{
  "name": "string",
  "type": "part",
  "parentId": "string",
  "customMetadata": {}
}

Response Schema

Folder
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
idrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
parentIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
typerequired
"part" | "sku" | "classwork"
partskuclasswork
updatedAtrequired
string
format: date-time

Example Response

201 OK — application/json
{
  "type": "part",
  "name": "string",
  "parentId": "string",
  "customMetadata": {},
  "id": "string",
  "storeId": "string",
  "createdAt": "2025-01-15T12:00:00.000Z",
  "updatedAt": "2025-01-15T12:00:00.000Z"
}